Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002268Zandronum[All Projects] Bugpublic2015-05-27 16:312018-09-30 22:24
ReporterWaTaKiD 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002268: rcon playerinfo doesnt update properly
Descriptionmovebob always reports 0.25 regardless
stillbob always reports 0
switchonpickup always reports 1

team is the only thing that does update immediately

everything else will update upon reconnecting
Steps To Reproducestart server, connect
rcon playerinfo 0
change playerinfo stuff using either console or menus
rcon playerinfo 0
Attached Files

- Relationships
parent of 0002303assignedLeonard Omit color codes in name's length limit. 
related to 0002252closedDusk in player setup, the name field is too sensitive 
related to 0002254closedTorr Samaho in the join menu, u are not given the class u select, also the random choice is missing 
related to 0002308closedDusk rcon playerinfo doesnt update properly [part 2] 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0012658)
Dusk (developer)
2015-06-12 15:24

https://bitbucket.org/Torr_Samaho/zandronum/pull-request/84 [^]
User avatar (0012678)
Torr Samaho (administrator)
2015-06-13 10:27

Pulled and rebased to the head.
User avatar (0012680)
cobalt (updater)
2015-06-13 10:28

Issue addressed by commit 5bcc690a6d7f: Fixed: userinfo changes did not reach the server at all (fixes 2268)
Committed by Teemu Piippo [Dusk] on Friday 12 June 2015 18:23:04

Changes in files:

 src/d_netinfo.cpp | 2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

User avatar (0012682)
WaTaKiD (updater)
2015-06-13 16:35

this is a big improvement, however movebob, stillbob, and switchonpickup still do not update with rcon playerinfo
User avatar (0012686)
WaTaKiD (updater)
2015-06-14 00:00

movebob, stillbob, and switchonpickup's fate will be decided inhttp://zandronum.com/tracker/view.php?id=2308 [^]

as such, this ticket is now resolved

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-05-27 16:31 WaTaKiD New Issue
2015-05-27 16:31 WaTaKiD Relationship added related to 0002252
2015-05-27 16:31 WaTaKiD Relationship added related to 0002254
2015-05-27 22:48 WaTaKiD Product Version => 3.0-beta
2015-06-12 15:11 Dusk Assigned To => Dusk
2015-06-12 15:11 Dusk Status new => assigned
2015-06-12 15:12 Dusk Relationship added parent of 0002303
2015-06-12 15:24 Dusk Note Added: 0012658
2015-06-12 15:24 Dusk Status assigned => needs review
2015-06-13 10:27 Torr Samaho Note Added: 0012678
2015-06-13 10:27 Torr Samaho Status needs review => needs testing
2015-06-13 10:28 cobalt Target Version => 3.0
2015-06-13 10:28 cobalt Description Updated View Revisions
2015-06-13 10:28 cobalt Steps to Reproduce Updated View Revisions
2015-06-13 10:28 cobalt Note Added: 0012680
2015-06-13 16:35 WaTaKiD Note Added: 0012682
2015-06-13 23:59 WaTaKiD Relationship added related to 0002308
2015-06-14 00:00 WaTaKiD Note Added: 0012686
2015-06-14 00:00 WaTaKiD Status needs testing => resolved
2015-06-14 00:00 WaTaKiD Resolution open => fixed
2015-06-14 00:00 WaTaKiD Fixed in Version => 3.0
2015-06-14 00:00 WaTaKiD Description Updated View Revisions
2015-06-14 00:00 WaTaKiD Steps to Reproduce Updated View Revisions
2018-09-30 22:24 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker